GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies" \
-H "Authorization: Bearer <YOUR_API_KEY>"const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies", {
method: "GET",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
page
integer
optional
limit
integer
optional
sort
string
optional
name
string
optional
targetType
string
optional
segmentId
integer
optional
expandTo
string
optional
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
items
array [object]
optional
id
string
optional
organization
string
optional
admEnterprise
string
optional
targetType
string
optional
attachedProfile
object
optional
name
string
optional
profiles
array [object]
optional
applications
array [object]
optional
applicationsInfo
array [object]
optional
books
array [object]
optional
booksInfo
array [object]
optional
scripts
array [object]
optional
scriptsInfo
array [object]
optional
bookmarks
array [object]
optional
assets
array [object]
optional
assetsInfo
array [object]
optional
version
integer
optional
updatedAt
string
optional
createdAt
string
optional
agentConfiguration
object
optional
segmentId
integer
optional
exposeToChildren
boolean
optional
totalDocs
integer
optional
limit
integer
optional
hasPrevPage
boolean
optional
hasNextPage
boolean
optional
page
integer
optional
totalPages
integer
optional
prevPage
integer
optional
nextPage
integer
optional
lean
boolean
optional
{
"status": true,
"data": {
"items": [
{
"id": "698f41b2457fafa13d088793",
"organization": "598f469d457fafa13d088795",
"admEnterprise": "698f42e5457fafa13d088794",
"targetType": "device",
"attachedProfile": {},
"name": "Corporate Security Policy - iOS",
"profiles": [
{
"id": "string",
"organization": "string",
"admEnterprise": "string",
"admPolicy": "string",
"targetType": "device",
"name": "string",
"config": {},
"certificates": [
{
"mdmAssetId": "string",
"format": {
"uuid": "uuid",
"base64": "base64"
},
"location": "string",
"password": "string",
"allowAllAppsAccess": true,
"keyIsExtractable": true
}
],
"type": "attached",
"UUID": "string",
"version": 0,
"updatedAt": "2024-01-01T00: 00:00Z",
"createdAt": "2024-01-01T00: 00:00Z",
"assignedTo": {
"policies": [
{
"id": "string",
"name": "string"
}
],
"devices": [
{
"id": "string",
"displayName": "string"
}
]
},
"useCustomFileVaultCertificates": true,
"parentAdmProfileId": "string"
}
],
"applications": [
{
"admApplication": "698f42e5457fafa13d088794",
"managed": true,
"managementFlags": 5,
"vpp": true,
"iOSApp": true,
"configuration": {},
"action": "forceInstall",
"actionStatus": "forceInstall",
"scripts": {},
"updatePolicy": {}
}
],
"applicationsInfo": [
{}
],
"books": [
{
"type": "asset",
"id": "698f42e5457fafa13d088794"
}
],
"booksInfo": [
{}
],
"scripts": [
{
"type": "loop",
"id": "698f42e5457fafa13d088794",
"loopTime": 3600,
"arguments": "--verbose --check-compliance",
"name": "Security Compliance Check",
"description": "Validates device security posture against organizational standards",
"runner": "bash"
}
],
"scriptsInfo": [
{}
],
"bookmarks": [
{
"title": "Employee Portal",
"description": "Internal employee self-service portal",
"url": "https://portal.company.com",
"iconBase64": "",
"iconUrl": "https://portal.company.com/icon.png"
}
],
"assets": [
{
"mdmAssetId": "698f41b2457fafa13d088793",
"location": "/Library/Application Support/Company/config.json",
"assetName": "App Configuration",
"scope": "system"
}
],
"assetsInfo": [
{}
],
"version": 3,
"updatedAt": "2026-02-13T14: 30:00Z",
"createdAt": "2026-02-13T10: 00:00Z",
"agentConfiguration": {
"allowLocation": true,
"allowLocationMacos": true,
"allowPackageTime": true,
"allowPackageTimeIos": true,
"allowPackageTransfer": true,
"allowPackageTransferIos": true,
"allowDeviceInfoBatteryUsage": true,
"allowDeviceInfoBluetooth": true,
"allowDeviceInfoSystemInfo": true,
"allowDeviceInfoBatteryUsageIos": true,
"allowDeviceInfoBluetoothIos": true,
"allowDeviceInfoSystemInfoIos": true,
"allowNetworkStatusMacos": true,
"allowNetworkStatusIos": true,
"appBlacklist": [
{
"bundleId": "com.example.unauthorized",
"action": "block"
}
],
"policyFeatures": {
"ios": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
},
"macos": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
}
}
},
"segmentId": "1",
"exposeToChildren": true
}
],
"totalDocs": 0,
"limit": 0,
"hasPrevPage": true,
"hasNextPage": true,
"page": 0,
"totalPages": 0,
"prevPage": 0,
"nextPage": 0,
"lean": true
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}